diff --git a/mediaportal/Configuration/Sections/TVRadio.cs b/mediaportal/Configuration/Sections/TVRadio.cs
index bdcedb6..a6bd08b 100644
--- a/mediaportal/Configuration/Sections/TVRadio.cs
+++ b/mediaportal/Configuration/Sections/TVRadio.cs
@@ -99,6 +99,7 @@ namespace MediaPortal.Configuration.Sections
 
         mpCheckBoxIsWakeOnLanEnabled.Checked = xmlreader.GetValueAsBool("tvservice", "isWakeOnLanEnabled", false);
         mpNumericTextBoxWOLTimeOut.Text = xmlreader.GetValueAsString("tvservice", "WOLTimeOut", "10");
+        mpTextBoxBroadcastAddress.Text = xmlreader.GetValueAsString("tvservice", "broadcastAddress", "255.255.255.255");
         mpCheckBoxIsAutoMacAddressEnabled.Checked = xmlreader.GetValueAsBool("tvservice", "isAutoMacAddressEnabled",
                                                                              true);
         mpTextBoxMacAddress.Text = xmlreader.GetValueAsString("tvservice", "macAddress", "00:00:00:00:00:00");
@@ -143,6 +144,7 @@ namespace MediaPortal.Configuration.Sections
 
         xmlwriter.SetValueAsBool("tvservice", "isWakeOnLanEnabled", mpCheckBoxIsWakeOnLanEnabled.Checked);
         xmlwriter.SetValue("tvservice", "WOLTimeOut", mpNumericTextBoxWOLTimeOut.Text);
+        xmlwriter.SetValue("tvsrvice", "broadcastAddress", mpTextBoxBroadcastAddress.Text);
         xmlwriter.SetValueAsBool("tvservice", "isAutoMacAddressEnabled", mpCheckBoxIsAutoMacAddressEnabled.Checked);
         xmlwriter.SetValue("tvservice", "macAddress", mpTextBoxMacAddress.Text);
       }
@@ -170,6 +172,8 @@ namespace MediaPortal.Configuration.Sections
     private MPLabel mpLabel400;
     private MPCheckBox mpCheckBoxIsAutoMacAddressEnabled;
     private MPCheckBox mpCheckBoxIsWakeOnLanEnabled;
+    private MPTextBox mpTextBoxBroadcastAddress;
+    private MPLabel mpLabel1;
 
     /// <summary>
     /// Required method for Designer support - do not modify
@@ -190,6 +194,8 @@ namespace MediaPortal.Configuration.Sections
       this.mpLabel400 = new MediaPortal.UserInterface.Controls.MPLabel();
       this.mpCheckBoxIsAutoMacAddressEnabled = new MediaPortal.UserInterface.Controls.MPCheckBox();
       this.mpCheckBoxIsWakeOnLanEnabled = new MediaPortal.UserInterface.Controls.MPCheckBox();
+      this.mpLabel1 = new MediaPortal.UserInterface.Controls.MPLabel();
+      this.mpTextBoxBroadcastAddress = new MediaPortal.UserInterface.Controls.MPTextBox();
       this.mpGroupBox2.SuspendLayout();
       this.mpGroupBox900.SuspendLayout();
       this.SuspendLayout();
@@ -265,14 +271,16 @@ namespace MediaPortal.Configuration.Sections
       this.mpGroupBox900.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
       this.mpGroupBox900.Controls.Add(this.mpNumericTextBoxWOLTimeOut);
       this.mpGroupBox900.Controls.Add(this.mpLabelWOLTimeOut);
+      this.mpGroupBox900.Controls.Add(this.mpTextBoxBroadcastAddress);
       this.mpGroupBox900.Controls.Add(this.mpTextBoxMacAddress);
+      this.mpGroupBox900.Controls.Add(this.mpLabel1);
       this.mpGroupBox900.Controls.Add(this.mpLabel400);
       this.mpGroupBox900.Controls.Add(this.mpCheckBoxIsAutoMacAddressEnabled);
       this.mpGroupBox900.Controls.Add(this.mpCheckBoxIsWakeOnLanEnabled);
       this.mpGroupBox900.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
       this.mpGroupBox900.Location = new System.Drawing.Point(6, 59);
       this.mpGroupBox900.Name = "mpGroupBox900";
-      this.mpGroupBox900.Size = new System.Drawing.Size(462, 126);
+      this.mpGroupBox900.Size = new System.Drawing.Size(462, 151);
       this.mpGroupBox900.TabIndex = 18;
       this.mpGroupBox900.TabStop = false;
       this.mpGroupBox900.Text = "Wake-On-Lan";
@@ -291,7 +299,7 @@ namespace MediaPortal.Configuration.Sections
             "90"});
       this.mpNumericTextBoxWOLTimeOut.AutoCompleteMode = System.Windows.Forms.AutoCompleteMode.Suggest;
       this.mpNumericTextBoxWOLTimeOut.Enabled = false;
-      this.mpNumericTextBoxWOLTimeOut.Location = new System.Drawing.Point(126, 42);
+      this.mpNumericTextBoxWOLTimeOut.Location = new System.Drawing.Point(146, 42);
       this.mpNumericTextBoxWOLTimeOut.MaxLength = 4;
       this.mpNumericTextBoxWOLTimeOut.Name = "mpNumericTextBoxWOLTimeOut";
       this.mpNumericTextBoxWOLTimeOut.Size = new System.Drawing.Size(45, 20);
@@ -313,17 +321,17 @@ namespace MediaPortal.Configuration.Sections
       // mpTextBoxMacAddress
       // 
       this.mpTextBoxMacAddress.BorderColor = System.Drawing.Color.Empty;
-      this.mpTextBoxMacAddress.Location = new System.Drawing.Point(126, 91);
+      this.mpTextBoxMacAddress.Location = new System.Drawing.Point(146, 117);
       this.mpTextBoxMacAddress.MaxLength = 17;
       this.mpTextBoxMacAddress.Name = "mpTextBoxMacAddress";
       this.mpTextBoxMacAddress.Size = new System.Drawing.Size(97, 20);
-      this.mpTextBoxMacAddress.TabIndex = 3;
+      this.mpTextBoxMacAddress.TabIndex = 4;
       this.mpTextBoxMacAddress.Text = "00:00:00:00:00:00";
       // 
       // mpLabel400
       // 
       this.mpLabel400.AutoSize = true;
-      this.mpLabel400.Location = new System.Drawing.Point(41, 94);
+      this.mpLabel400.Location = new System.Drawing.Point(41, 120);
       this.mpLabel400.Name = "mpLabel400";
       this.mpLabel400.Size = new System.Drawing.Size(74, 13);
       this.mpLabel400.TabIndex = 6;
@@ -333,10 +341,10 @@ namespace MediaPortal.Configuration.Sections
       // 
       this.mpCheckBoxIsAutoMacAddressEnabled.AutoSize = true;
       this.mpCheckBoxIsAutoMacAddressEnabled.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-      this.mpCheckBoxIsAutoMacAddressEnabled.Location = new System.Drawing.Point(44, 68);
+      this.mpCheckBoxIsAutoMacAddressEnabled.Location = new System.Drawing.Point(44, 94);
       this.mpCheckBoxIsAutoMacAddressEnabled.Name = "mpCheckBoxIsAutoMacAddressEnabled";
       this.mpCheckBoxIsAutoMacAddressEnabled.Size = new System.Drawing.Size(192, 17);
-      this.mpCheckBoxIsAutoMacAddressEnabled.TabIndex = 2;
+      this.mpCheckBoxIsAutoMacAddressEnabled.TabIndex = 3;
       this.mpCheckBoxIsAutoMacAddressEnabled.Text = "Auto-configure server MAC Address";
       this.mpCheckBoxIsAutoMacAddressEnabled.UseVisualStyleBackColor = true;
       this.mpCheckBoxIsAutoMacAddressEnabled.CheckedChanged += new System.EventHandler(this.mpCheckBoxIsAutoMacAddressEnabled_CheckedChanged);
@@ -353,6 +361,25 @@ namespace MediaPortal.Configuration.Sections
       this.mpCheckBoxIsWakeOnLanEnabled.UseVisualStyleBackColor = true;
       this.mpCheckBoxIsWakeOnLanEnabled.CheckedChanged += new System.EventHandler(this.mpCheckBoxIsWakeOnLanEnabled_CheckedChanged);
       // 
+      // mpLabel1
+      // 
+      this.mpLabel1.AutoSize = true;
+      this.mpLabel1.Location = new System.Drawing.Point(41, 71);
+      this.mpLabel1.Name = "mpLabel1";
+      this.mpLabel1.Size = new System.Drawing.Size(99, 13);
+      this.mpLabel1.TabIndex = 6;
+      this.mpLabel1.Text = "Broadcast Address:";
+      // 
+      // mpTextBoxBroadcastAddress
+      // 
+      this.mpTextBoxBroadcastAddress.BorderColor = System.Drawing.Color.Empty;
+      this.mpTextBoxBroadcastAddress.Location = new System.Drawing.Point(146, 68);
+      this.mpTextBoxBroadcastAddress.MaxLength = 15;
+      this.mpTextBoxBroadcastAddress.Name = "mpTextBoxBroadcastAddress";
+      this.mpTextBoxBroadcastAddress.Size = new System.Drawing.Size(97, 20);
+      this.mpTextBoxBroadcastAddress.TabIndex = 2;
+      this.mpTextBoxBroadcastAddress.Text = "255.255.255.255";
+      // 
       // TVRadio
       // 
       this.Controls.Add(this.mpGroupBox900);
@@ -624,6 +651,7 @@ namespace MediaPortal.Configuration.Sections
       if (mpCheckBoxIsWakeOnLanEnabled.Checked)
       {
         mpNumericTextBoxWOLTimeOut.Enabled = true;
+        mpTextBoxBroadcastAddress.Enabled = true;
         mpCheckBoxIsAutoMacAddressEnabled.Enabled = true;
 
         if (mpCheckBoxIsAutoMacAddressEnabled.Checked)
@@ -638,6 +666,7 @@ namespace MediaPortal.Configuration.Sections
       else
       {
         mpNumericTextBoxWOLTimeOut.Enabled = false;
+        mpTextBoxBroadcastAddress.Enabled = false;
         mpCheckBoxIsAutoMacAddressEnabled.Enabled = false;
         mpTextBoxMacAddress.Enabled = false;
       }
